# $Id: diva.mk,v 1.50 2002/09/30 23:52:51 johnr Exp $
#
# Directory layout for Diva
#

###
# Include the platform-specific definitions
#
include $(DIVA)/vars.mk

###
# Top-level package directories
#
PACKAGEDIRS = \
	apps \
	canvas \
	compat \
	graph \
	gui \
	resource \
	sketch \
	util \
	whiteboard

OBSOLETEPACKAGEDIRS =

###
# Top-level helper directories
#
AUXILIARYDIRS = \
	bin \
	doc \
	lib \
	mk \
	web

###
# Top-level documentation directories
#
DOCDIRS = \
	about \
	admin \
	api \
	demo \
	download \
	images \
	packages \
	templates


####
# All releasable packages in Diva. Packages that are
# empty but contain other packages must go into the
# AUXILIARY_PACKAGES variable.
#
PACKAGES = \
	diva.apps \
\
	diva.canvas \
	diva.canvas.connector \
	diva.canvas.demo \
	diva.canvas.event \
	diva.canvas.interactor \
	diva.canvas.toolbox \
	diva.canvas.tutorial \
\
	diva.compat \
	diva.compat.canvas \
	diva.compat.trace \
	diva.compat.gui \
	diva.compat.util \
	diva.compat.xml \
\
	diva.graph \
	diva.graph.basic \
	diva.graph.layout \
	diva.graph.modular \
	diva.graph.schematic \
	diva.graph.toolbox \
	diva.graph.tutorial \
\
	diva.gui \
	diva.gui.toolbox \
	diva.gui.tutorial \
\
	diva.resource \
\
	diva.sketch \
	diva.sketch.classification \
	diva.sketch.demo \
	diva.sketch.features \
	diva.sketch.parser2d \
	diva.sketch.rcl \
	diva.sketch.recognition \
	diva.sketch.toolbox \
\
	diva.util \
	diva.util.aelfred \
	diva.util.java2d \
	diva.util.jester \
	diva.util.xml \
\
	diva.whiteboard 


####
# Packages that go into the stable release but do not have
# documentation generated for them. The last set are empty packages,
# and are in here instead of in PACKAGES so that javadoc doesn't
# barf on them.
#
AUXILIARY_PACKAGES = \
	diva.canvas.test \
	diva.graph.test \
	diva.pod.test \
	diva.sketch.test \
	diva.util.jester.demo \
	diva.util.test

####
# Packages that need to go into the jar file but contain no source files
#
JAR_PACKAGES =

####
# Packages that are in Diva but are not scheduled for stable release
#
UNRELEASED_PACKAGES =

####
# Packages that are in Diva but don't have to pass the smoke
# test because they depend on non-JDK classes. Packages in here
# can duplicate packages in other variables.
#
EXEMPT_PACKAGES = \
	diva.sketch.toolbox.matlab \
	diva.sketch.toolbox.matlab.matlabData \
	diva.util.snippets

####
# Packages that are in Diva but are broken. This can also be
# used for packages that should be excluded from the snapshot
# for whatever reason.
#
BROKEN_PACKAGES = \
	diva.sketch.multistroke \
	diva.sketch.multistroke.data \
\
	diva.sketch.calligrapher


#	diva.whiteboard.uml


